/* GTK - The GIMP Toolkit
 * Copyright (C) 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __CHANNELS_H__
#define __CHANNELS_H__


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtktable.h>


G_BEGIN_DECLS

#define GWS_CHANNELS_TYPE            (gws_channels_get_type ())
#define GWS_CHANNELS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GWS_CHANNELS_TYPE, GwsChannels))
#define GWS_CHANNELS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GWS_CHANNELS_TYPE, GwsChannelsClass))
#define GWS_IS_CHANNELS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWS_CHANNELS_TYPE))
#define GWS_IS_CHANNELS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GWS_CHANNELS_TYPE))


typedef struct _GwsChannels       GwsChannels;
typedef struct _GwsChannelsClass  GwsChannelsClass;

struct _GwsChannels
{
    GtkTable table;

    gboolean reverse;
    gboolean in[16];

    GtkWidget *reverse_check;
    GtkWidget *in_check[16];

    gpointer md;
};

struct _GwsChannelsClass
{
  GtkTableClass parent_class;

  void (* channels) (GwsChannels *channels);
};

GType          gws_channels_get_type        (void);
GtkWidget*     gws_channels_new             (gpointer md);

void           gws_channels_set_inits       (GwsChannels *channels, gboolean in[16], gboolean reverse);



G_END_DECLS

#endif /* __CHANNELS_H__ */
