/* GwyScope
 * Copyright (C) 2021 Petr Klapetek
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __LASERVIEW_H__
#define __LASERVIEW_H__


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtktable.h>

#include <libgwyddion/gwyddion.h>
#include <libgwydgets/gwydgets.h>


G_BEGIN_DECLS

#define GWS_LASERVIEW_TYPE            (gws_laserview_get_type ())
#define GWS_LASERVIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GWS_LASERVIEW_TYPE, GwsLaserView))
#define GWS_LASERVIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GWS_LASERVIEW_TYPE, GwsLaserViewClass))
#define GWS_IS_LASERVIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWS_LASERVIEW_TYPE))
#define GWS_IS_LASERVIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GWS_LASERVIEW_TYPE))

typedef struct _GwsLaserView       GwsLaserView;
typedef struct _GwsLaserViewClass  GwsLaserViewClass;

struct _GwsLaserView
{
    GtkTable table;
    GwyDataView *dataview;
    GwyContainer *container;
    GwyDataField *dfield;

    GtkWidget *xlabel;
    GtkWidget *ylabel;

    gint closing;

    gpointer md;
};

struct _GwsLaserViewClass
{
  GtkTableClass parent_class;

  void (* laserview) (GwsLaserView *laserview);
};

GType          gws_laserview_get_type        (void);
GtkWidget*     gws_laserview_new             (gpointer md);


G_END_DECLS

#endif /* __LASERVIEW_H__ */
