/* GwyScope
 * Copyright (C) 2021 Petr Klapetek
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __SIGNALS_H__
#define __SIGNALS_H__


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtktable.h>

#include <libgwyddion/gwyddion.h>
#include <libgwydgets/gwydgets.h>


G_BEGIN_DECLS

#define GWS_SIGNALS_TYPE            (gws_signals_get_type ())
#define GWS_SIGNALS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GWS_SIGNALS_TYPE, GwsSignals))
#define GWS_SIGNALS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GWS_SIGNALS_TYPE, GwsSignalsClass))
#define GWS_IS_SIGNALS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GWS_SIGNALS_TYPE))
#define GWS_IS_SIGNALS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GWS_SIGNALS_TYPE))

typedef struct _GwsSignals       GwsSignals;
typedef struct _GwsSignalsClass  GwsSignalsClass;

struct _GwsSignals
{
    GtkTable table;
    GwyContainer *container;
    GwyDataField *dfield;

    GtkWidget *xlabel;
    GtkWidget *ylabel;
    GtkWidget *in1;
    GtkWidget *in1raw;
    GtkWidget *in2;
    GtkWidget *in2raw;
    GtkWidget *error;
    GtkWidget *errorraw;
    GtkWidget *zpiezo;
    GtkWidget *zpiezoraw;
    GtkWidget *a1;
    GtkWidget *a1raw;
    GtkWidget *p1;
    GtkWidget *p1raw;
    GtkWidget *ins1;
    GtkWidget *ins2;
    GtkWidget *ins3;
    GtkWidget *ins4;

    GtkWidget *filter_combo;
    GtkWidget *mux1_combo;
    GtkWidget *mux2_combo;

    GtkObject *dac_adj[8];
    GtkWidget *dac_spin[8];

    gint closing;
    gint filter;
    gint mode;
    gboolean in_update;

    gpointer md;
};

struct _GwsSignalsClass
{
  GtkTableClass parent_class;

  void (* signals) (GwsSignals *signals);
};

GType          gws_signals_get_type        (void);
GtkWidget*     gws_signals_new             (gpointer md);

G_END_DECLS

#endif /* __SIGNALS_H__ */
